Skip to content

deleteUser

DELETE
/api/v1/users/{id}
curl --request DELETE \
--url https://example.com/api/v1/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'X-CSRF-Token: example'

Deactivate a dashboard user account. Requires an Owner or Administrator with the admin scope. Cookie-authenticated unsafe requests require X-CSRF-Token.

id
required
string format: uuid
X-CSRF-Token
required
string

User account deactivated

Dashboard authentication required

Insufficient role

User not found

Cannot deactivate self or the last Owner